## fbpanel 3.8

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make
.PHONY: subdirs
all clean distclean install uninstall: subdirs

SUBDIRS = config man systray
.PHONY: $(SUBDIRS)
subdirs: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)



SRC = panel.c misc.c plugin.c separator.c image.c launchbar.c \
	menu.c dclock.c wincmd.c test.c taskbar.c pager.c  \
	gtkbar.c bg.c 
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)

SYSTRAYOBJ = systray/systray.o
SYSTRAYOBJ: systray


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif


TARGET = fbpanel
$(TARGET): $(OBJ) $(SYSTRAYOBJ)
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) $(SYSTRAYOBJ) -o $@
ifeq (,$(DEVEL))
	strip $@
endif

all: $(TARGET)


clean:
	$(RM) $(TARGET) $(OBJ) $(DEP) *~

distclean: 
	rm -f Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	rm -f $(PREFIX)/bin/$(TARGET)

.PHONY: tar


CWD=$(shell pwd)
VER=$(shell grep -e "\#define[[:space:]]\+VERSION[[:space:]]\+" panel.c | \
		sed -e 's/^[^\"]\+\"//' -e 's/\".*$$//' )


tar: 
	$(MAKE) distclean
	cd ..; \
	if [ -e fbpanel-$(VER) ]; then \
		echo fbpanel-$(VER) already exist; \
		echo "won't override";\
		exit 1;\
	else\
		ln -s $(CWD) fbpanel-$(VER);\
		tar --exclude CVS -hzcvf fbpanel-$(VER).tgz fbpanel-$(VER);\
		rm -f fbpanel-$(VER);\
	fi;

## fbpanel 4.0

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
PLUGIN_CPU=ON
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make
.PHONY: subdirs
all clean distclean install uninstall: subdirs

SUBDIRS = config man systray plugins
.PHONY: $(SUBDIRS)
subdirs: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)



SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif

ifneq  (,$(STATIC))
CFLAGS += -DSTATIC_PLUGINS
endif

TARGET = fbpanel
$(TARGET): $(OBJ)
ifneq  (,$(STATIC))
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) plugins/*.o systray/*.o -o $@
else
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
endif
ifeq (,$(DEVEL))
	strip $@
endif

all: $(TARGET)


clean:
	$(RM) $(TARGET) $(OBJ) $(DEP) *~

distclean: 
	rm -f Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	rm -f $(PREFIX)/bin/$(TARGET)

.PHONY: tar


CWD=$(shell pwd)
VER=$(shell grep -e "\#define[[:space:]]\+VERSION[[:space:]]\+" version.h | \
		sed -e 's/^[^\"]\+\"//' -e 's/\".*$$//' )


tar: 
	$(MAKE) distclean
	cd ..; \
	if [ -e fbpanel-$(VER) ]; then \
		echo fbpanel-$(VER) already exist; \
		echo "won't override";\
		exit 1;\
	else\
		ln -s $(CWD) fbpanel-$(VER);\
		tar --exclude CVS --exclude .cvsignore -hzcvf fbpanel-$(VER).tgz fbpanel-$(VER);\
		rm -f fbpanel-$(VER);\
	fi;

## fbpanel 4.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 
 
-SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c
+SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c configurator.c
 OBJ = $(SRC:%.c=%.o)
 DEP = $(SRC:%.c=%.dep)

=== config/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common

# backslashify slashes to avoid problems with sed
BPREFIX := $(subst /,\/,$(PREFIX))

CFG := $(wildcard *.cfg)
RES := $(CFG:%.cfg=%)

all: $(RES)

%: %.cfg
	sed 's/PREFIX/$(BPREFIX)/g' < $< > $@

clean:
	$(RM) $(RES) *~

install: 
	install -d  $(PREFIX)/share/fbpanel
	install -m 644 $(RES) $(PREFIX)/share/fbpanel
	install -d  $(PREFIX)/share/fbpanel/images
	install -m 644 images/*.png $(PREFIX)/share/fbpanel/images
	install -m 644 images/*.xpm $(PREFIX)/share/fbpanel/images
	
uninstall:
	rm -rf $(PREFIX)/share/fbpanel

=== man/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common

# backslashify slashes to avoid problems with sed
BPREFIX := $(subst /,\/,$(PREFIX))

SRC = fbpanel.1
TARGET = fbpanel.1.gz

all: $(TARGET)
$(TARGET): $(SRC)
	sed 's/PREFIX/$(BPREFIX)/g' < $(SRC) | gzip - > $@



clean:
	$(RM) $(TARGET) *~


install: all
	install -d  $(PREFIX)/share/man/man1
	install -m 644 $(TARGET) $(PREFIX)/share/man/man1

uninstall:
	rm -f $(PREFIX)/share/man/man1/$(TARGET)

=== plugins/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common


INCS += -I../
SRC = image.c menu.c separator.c taskbar.c wincmd.c \
	dclock.c launchbar.c pager.c space.c test.c \
	icons.c deskno.c

ifeq ($(PLUGIN_CPU),on)
SRC += cpu.c
endif

SOBJ = $(SRC:%.c=%.so)
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)
CFLAGS += -shared -fPIC



ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif



all:$(SOBJ)

%.so: %.o
	$(CC) $(CFLAGS) $(INCS) $< -o $@
ifeq (,$(DEVEL))
	strip $@
endif


clean:
	$(RM)  *.dep *.so *.o  *~

install: 
	install -d  $(PREFIX)/share/fbpanel/plugins
	install -m 644 $(SOBJ) $(PREFIX)/share/fbpanel/plugins

uninstall:
	echo rm -rf $(PREFIX)/share/fbpanel/plugins/

=== systray/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common
#$(warning INCS=$(INCS))

INCS += -I../
SRC := egg-marshal.c   eggtraymanager.c  fixedtip.c main.c  
OBJ := $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)
CFLAGS += -fPIC -shared 

TARGET = tray.so


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif

all:$(TARGET)
$(TARGET): $(OBJ) 
	$(CC) $(CFLAGS) $(INCS) $(OBJ) -o $@
ifeq (,$(DEVEL))
	strip $@
endif


clean:
	$(RM)  *.dep *.o *.so  $(TARGET) *~


install: 
	install -d  $(PREFIX)/share/fbpanel/plugins
	install -m 644 $(TARGET) $(PREFIX)/share/fbpanel/plugins

uninstall:
	echo rm -rf $(PREFIX)/share/fbpanel/plugins/

## fbpanel 4.9

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
PLUGIN_CPU=ON
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make
RGOALS := $(filter-out tar, $(MAKECMDGOALS))
#$(warning recursive goals $(RGOALS))

.PHONY: subdirs
all clean distclean install uninstall: subdirs

SUBDIRS = config man systray plugins
.PHONY: $(SUBDIRS)
subdirs: $(SUBDIRS)
$(SUBDIRS):
	$(Q)$(MAKE) -C $@ $(RGOALS)



SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c configurator.c 


ifeq (1,$(BUILD))
-include $(DEP)
endif

TARGET := fbpanel

EXTRAOBJ :=
ifeq (1,$(STATIC_PLUGINS))
override CFLAGS += -DSTATIC_PLUGINS
EXTRAOBJ = plugins/plugins.a systray/tray.a
endif

all: $(TARGET)
$(TARGET): $(OBJ)
	$(call summary,LD  ,$@)
	$(Q)$(CC) $(LDFLAGS) $(LIBS) $(OBJ) $(EXTRAOBJ) -o $@
ifeq (0,$(DEVEL))
	$(Q)strip $@
endif





distclean: 
	$(RM) Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	$(RM) $(PREFIX)/bin/$(TARGET)

.PHONY: tar

ifeq ($(filter tar, $(MAKECMDGOALS)),tar)
CWD=$(shell pwd)
VER=$(shell grep -e "\#define[[:space:]]\+VERSION[[:space:]]\+" version.h | \
	sed -e 's/^[^\"]\+\"//' -e 's/\".*$$//' )
endif

tar: 
	$(MAKE) distclean
	cd ..; \
	if [ -e fbpanel-$(VER) ]; then \
		echo fbpanel-$(VER) already exist; \
		echo "won't override";\
		exit 1;\
	else\
		ln -s $(CWD) fbpanel-$(VER);\
		tar --exclude .svn --exclude CVS --exclude .cvsignore \
			-hzcvf fbpanel-$(VER).tgz fbpanel-$(VER);\
		rm -f fbpanel-$(VER);\
	fi;
	@ls -al ../fbpanel-$(VER).tgz;

=== plugins/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common


INCS += -I../
SRC = image.c menu.c separator.c taskbar.c wincmd.c \
	dclock.c launchbar.c pager.c space.c test.c \
	icons.c deskno.c deskno2.c

ifeq ($(PLUGIN_CPU),on)
SRC += cpu.c
endif

ifneq (1,$(STATIC_PLUGINS))
# plugins as shared libs 
override CFLAGS += -shared -fPIC
SOBJ = $(SRC:%.c=%.so)
all:$(SOBJ)
%.so: %.o
	$(call summary,LD  ,$@)
	$(Q)$(CC) $(CFLAGS) $(INCS) $< -o $@
ifeq (0,$(DEVEL))
	$(Q)strip $@
endif

else
# plugins built in

all: plugins.a
plugins.a: $(OBJ)
	$(call summary,AR  ,$@)
	$(Q)$(AR) -cq $@ $(OBJ)
endif



ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif


ifeq (0,$(STATIC_PLUGINS))
install: 
	install -d  $(PREFIX)/share/fbpanel/plugins
	install -m 644 $(SOBJ) $(PREFIX)/share/fbpanel/plugins

uninstall:
	$(RM) -r $(PREFIX)/share/fbpanel/plugins/
endif

## fbpanel 4.12

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 all: $(TARGET)
 $(TARGET): $(OBJ)
 	$(call summary,LD  ,$@)
-	$(Q)$(CC) $(LDFLAGS) $(LIBS) $(OBJ) $(EXTRAOBJ) -o $@
+	$(Q)$(CC) $(LDFLAGS) $(OBJ) $(EXTRAOBJ) $(LIBS) -o $@
 ifeq (0,$(DEVEL))
 	$(Q)strip $@
 endif

=== config/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common

# backslashify slashes to avoid problems with sed
BPREFIX := $(subst /,\/,$(PREFIX))

CFG := $(wildcard *.cfg)
TARGET := $(CFG:%.cfg=%)

all: $(TARGET)

%: %.cfg
	$(call summary,TEXT,$@)
	$(Q)sed 's/PREFIX/$(BPREFIX)/g' < $< > $@


install: 
	install -d  $(PREFIX)/share/fbpanel
	install -m 644 $(TARGET) $(PREFIX)/share/fbpanel
	install -d  $(PREFIX)/share/fbpanel/images
	install -m 644 images/*.svg $(PREFIX)/share/fbpanel/images
	install -m 644 images/*.xpm $(PREFIX)/share/fbpanel/images
	install -m 644 images/*.png $(PREFIX)/share/fbpanel/images

uninstall:
	$(RM) -r $(PREFIX)/share/fbpanel/images/

## fbpanel 6.0

=== debian/changelog ===
fbpanel (6.0-1) unstable; urgency=low

  * New maintainer (Closes: #583245).
  * New upstream release (Closes: #436828, #506769, #538162, #554278). 
  * Switched to 3.0 source format.
  * Mayor package modifications:
    - Rebuilt debian/rules.
    - Drop dpatch in the way, 3.0 source format rules!
    - Changed menu file to category to Applications/System/Administration.
    - Add Homepage field.
    - Update copyright file.
    - Bump up Standards-Version to 3.8.4.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 05 Jun 2010 12:04:34 -0300

fbpanel (4.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove old /etc/menu-methods/fbpanel on purge for upgrades from etch.
    (Closes: #455025)

 -- Peter Eisentraut <petere@debian.org>  Sun, 06 Apr 2008 16:14:43 +0200

fbpanel (4.12-1) unstable; urgency=low

  * New upstream release
    - removed net-wm-state.dpatch, now included in the upstream source
  * Debian patches:
    - splitted non-standard_makefile.dpatch for better handling of debian's
      default configuration (added default-config.dpatch)
  * Added dependency for librsvg2-common (Closes: #434698)
  * Updated menu structure. Moved to Applications/System.

 -- Davide Truffa <davide@catoblepa.org>  Tue, 31 Jul 2007 19:37:05 +0200

fbpanel (4.9-2) unstable; urgency=low

  * Added genmon plugins. (Closes: #432355)
    (display the output of a program/script into the panel)
  * Fixed other minor issues:
    - transparency didn't work correctly with default configuration
    - wrong path in "fbpanel configurator"
  * Added information about dclock plugin. (Closes: #321030)

 -- Davide Truffa <davide@catoblepa.org>  Tue, 10 Jul 2007 12:23:04 +0200

fbpanel (4.9-1) unstable; urgency=low

  * New upstream release. (Closes: #391890, #426948, #427114)
  * New Maintainer.
  * Add missing binary-indep target to debian/rules. (Closes: #395685)
  * Patch from CVS: WM_STATE usage is dropped, NET_WM_STATE is used instead.
    (Closes: #404703)

 -- Davide Truffa <davide@catoblepa.org>  Wed, 04 Jul 2007 03:05:27 +0200

fbpanel (4.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #314472)
    - Menu image is now a reasonable size.  (Closes: #295839)
  * Fixed typos in config/default.cfg.  (Closes: #321029)
  * Fix path locations for config files in manpage.  (Closes: #339017)
  * Use _NET_CLIENT_LIST instead _NET_CLIENT_LIST_STACKING in the taskbar.
    (Closes: #338275)
  * Remove bashism (I *really* wish {} globbing was POSIX) from debian/rules.
    (Closes: #374760)
  * Add -Wl,-export-dynamic to Makefile.common to fix up build failure.
    (Closes: #360144)

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 29 Jul 2006 19:52:09 +1000

fbpanel (4.1-2) unstable; urgency=low

  * Don't signal all fbpanels to restart, because that is a dirty hack that
    doesn't work so well.  Instead, I've implemented a config file watcher.
    Closes: #299499.

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 28 Mar 2005 09:45:43 +1000

fbpanel (4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix up a few minor error message inaccuracies.
  * Move the menu file to /var/lib/fbpanel for policy compliance.
  * Ship a default (but empty) /var/lib/fbpanel/menu so that fbpanel will
    still start.  Closes: #288594.
  * Signal all fbpanel processes to reload the menu after running
    update-menu.  Closes: #295201.

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 12 Mar 2005 20:45:06 +1100

fbpanel (4.0-1) unstable; urgency=low

  * New upstream release.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 23 Dec 2004 19:53:00 +1100

fbpanel (3.16-2) unstable; urgency=low

  * Remove bollocks dpatch Build-dep
  * Fix a erroneous warning pointing users to an incorrect config location.
    Closes: #280648.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Nov 2004 21:45:09 +1100

fbpanel (3.16-1) unstable; urgency=low

  * New upstream release.  (Closes: #279525)
  * Discontinued use of dpatch; we now use feature branches for that sort of
    thing.

 -- Matthew Palmer <mpalmer@debian.org>  Sun,  7 Nov 2004 16:14:03 +1100

fbpanel (3.8-5) unstable; urgency=low

  * Fixed up another instance of explicit binary names in the default config
    file.

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 14 Aug 2004 13:49:59 +1000

fbpanel (3.8-4) unstable; urgency=low

  * Changed the XTerm tool item to run x-terminal-emulator, and the Emacs
    button to run x-www-browser instead.  Closes: #264881.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 13 Aug 2004 19:36:38 +1000

fbpanel (3.8-3) unstable; urgency=low

  * Added outputencoding="UTF-8" so that accented characters appear right in
    the generated menus.  Closes: #263944.

 -- Matthew Palmer <mpalmer@debian.org>  Sat,  7 Aug 2004 09:52:56 +1000

fbpanel (3.8-2) unstable; urgency=low

  * Fixed up the menu-method file so it builds it's menus in the right
    places.  Closes: #263465.

 -- Matthew Palmer <mpalmer@debian.org>  Fri,  6 Aug 2004 18:48:22 +1000

fbpanel (3.8-1) unstable; urgency=low

  * New upstream release.  Closes: #252825.
  * Modified default config to not reference any image files in $HOME.
    Closes: #255412.
  * Removed the examples, because they're duplicated by the default config
    file and images in /usr/share/fbpanel/images.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 25 Jun 2004 22:01:53 +1000

fbpanel (3.7-3) unstable; urgency=low

  * Applied a great patch from Vincenzo Demasi <v.demasi@tiscali.it>:
     - Added Debian menu support.
     - Added a new 'include' stanza for fbpanel config files, which is used
       by the Debian menu support.
    Thanks to Vincenzo for putting it all together.  Closes: #249169.
  * Applied a patch from Shyamal Prasad <shyamalprasad@verizon.net>:
     - Modified fbpanel.1 and panel.c for configs in /etc/fbpanel
     - Placed a default config file in /etc/fbpanel/default, in case there
       there is no user-specific one.


=== debian/control ===
Source: fbpanel
Section: x11
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libgtk2.0-dev, libxmu-dev, libxpm-dev
Standards-Version: 3.8.4
Homepage: http://fbpanel.sourceforge.net/

Package: fbpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Suggests: menu, hicolor-icon-theme
Description: A lightweight X11 desktop panel
 FBPanel is a spinoff of the fspanel (f***ing small panel) with more eye
 candy.  It provides a taskbar (list of all opened windows), desktop
 switcher, launchbar, clock, is EWMH/NETWM compliant, and has modest
 resource usage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp: 
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/fbpanel \
		--datadir=\$${prefix}/share 
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin etc/fbpanel
	
	# Yeah, do it properly you bastard!
	$(MAKE) DESTDIR=$(CURDIR)/debian/fbpanel install

binary-indep: build install
# Nothing to see, keep walking :)

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installmenu
	dh_installman data/man/fbpanel.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary instal

## fbpanel 6.1

=== plugins/unstable/test/Makefile ===
include /home/anatoly/src/fbpanel/trunk/config.mk

SRCS = test.c 
LIBTARGET = test.so
install:
	$(install) 755 $(LIBDIR)/fbpanel 755 $(LIBTARGET)

include /home/anatoly/src/fbpanel/trunk/rules.mk

=== debian/changelog ===
fbpanel (6.1-6) unstable; urgency=low

  * Fix local patched hintings on plugin/volume issue (ref: ALSA vs OSS).
  * Adopt dpkg-buildflags for hardening, build-dep on dpkg-dev (>= 1.16.1.1~).
  * Minor changes on building flags to work on a funny building suite.
  * Add lintian-overrides on unsupported hardening flags.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 26 Jun 2012 17:16:52 -0300

fbpanel (6.1-5) unstable; urgency=low

  * Provide hints on plugin/volume issue (ref: ALSA vs OSS) (Closes: #678522).
  * Drop suggestion on 'menu', thanks FrankLinPIAT (Closes: #647366).
  * Include some terminal icons, cortesy of FrancescoPoli (Closes: #585795).
  * Enabled gcc hardening flags, runtime depend on hardening-includes.
  * Runtime pre-depend on dpkg-dev, because of dpkg-maintscript-helper.
  * Bump up Standards-Version to 3.9.3 (no changes required).
  * Reformated debian/copyright following new format specification.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 25 Jun 2012 12:30:55 -0300

fbpanel (6.1-4) unstable; urgency=low

  * Fix FTBFS on hurd, patch by Samuel Thibault (Closes: #637550).
  * Bump up Standards-Version to 3.9.2 (no changes required).
  * Minor changes on pkg description.
  * Enhance porting targets on debian/rules.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 15 Aug 2011 10:55:16 -0300

fbpanel (6.1-3) unstable; urgency=low

  * The 'Third-time-lucky' dupload.
  * Fix FTBFS due to toolchain changes on X11, adds build-dep on libx11-dev
    (Closes: #618091).
  * Remove deprecated global configuration from etc (Closes: #588578).
  * Fix little typo on GUI (Closes: #590727).
  * Bump up Standards-Version to 3.9.1.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 27 Mar 2011 00:05:09 -0300

fbpanel (6.1-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD due to linux-specific features (Closes: #589466).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 18 Jul 2010 13:29:42 -0300

fbpanel (6.1-1) unstable; urgency=low

  * New upstream release (Closes: #587479, #589113).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 15 Jul 2010 05:13:47 -0300

fbpanel (6.0-2) unstable; urgency=low

  * Use a debian logo on default templates for menu list.
  * Use x-terminal-emulator instead of x-terminal (Closes: #585577).
  * Include upstream documentation (converted to plain text format).
  * Updated manpage options and description.
  * Bump up Standards-Version to 3.9.0.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 06 Jul 2010 02:35:37 -0300

=== debian/control ===
Source: fbpanel
Section: x11
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libgtk2.0-dev, libxmu-dev, 
 libxpm-dev, libx11-dev, dpkg-dev (>= 1.16.1.1~)
Standards-Version: 3.9.3
Homepage: http://fbpanel.sourceforge.net/

Package: fbpanel
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Suggests: hicolor-icon-theme
Description: lightweight X11 desktop panel
 FBPanel is a spinoff of the fspanel (f***ing small panel) with more eye
 candy.  It provides a taskbar (list of all opened windows), desktop
 switcher, launchbar, clock, is EWMH/NETWM compliant, and has modest
 resource usage.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,16 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# See lintian-override
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-PIE
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-
-CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -18,8 +20,12 @@
 	CFLAGS += -O2
 endif
 
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: 
 	dh_testdir
@@ -27,7 +33,10 @@
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--libexecdir=\$${prefix}/lib/fbpanel \
-		--datadir=\$${prefix}/share 
+		--datadir=\$${prefix}/share \
+		--ldflagsx="$(LDFLAGS) -lglib-2.0 -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 \
+					-lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 \
+					-lglib-2.0 -lX11" 
 	$(MAKE)
 	touch $@
 
@@ -43,7 +52,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs usr/bin etc/fbpanel
+	dh_installdirs usr/bin usr/share/fbpanel/images
+	dh_install debian/terminal_color.svg debian/terminal_sketch.svg \
+		usr/share/fbpanel/images
 	
 	# Yeah, do it properly you bastard!
 	$(MAKE) DESTDIR=$(CURDIR)/debian/fbpanel install
@@ -60,6 +71,7 @@
 	dh_installman data/man/fbpanel.1
 	dh_link
 	dh_strip
+	dh_lintian
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## fbpanel 7.0

=== data/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

SUBDIRS := config \
    images \
    man

include $(TOPDIR)/.config/rules.mk

=== exec/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

TEXT = make_profile xlogout
all : $(TEXT)
CLEANLIST += make_profile

install :
	$Qinstall -d $(DESTDIR)$(LIBEXECDIR)
	$Qinstall -m 755 $(TEXT) $(DESTDIR)$(LIBEXECDIR)

include $(TOPDIR)/.config/rules.mk

=== panel/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

fbpanel_src = bg.c \
    ev.c \
    gconf.c \
    gconf_panel.c \
    gconf_plugins.c \
    gtkbar.c \
    gtkbgbox.c \
    misc.c \
    panel.c \
    plugin.c \
    run.c \
    xconf.c
fbpanel_cflags = $(GTK2_CFLAGS) $(GMODULE2_CFLAGS) $(X11_CFLAGS) 
fbpanel_libs = $(GTK2_LIBS) $(GMODULE2_LIBS) $(X11_LIBS) -lm
fbpanel_type = bin 

include $(TOPDIR)/.config/rules.mk

=== plugins/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

SUBDIRS := battery \
    chart \
    cpu \
    dclock \
    deskno \
    deskno2 \
    genmon \
    icons \
    image \
    launchbar \
    mem \
    mem2 \
    menu \
    meter \
    net \
    pager \
    separator \
    space \
    systray \
    taskbar \
    tclock \
    volume \
    wincmd \
    user

include $(TOPDIR)/.config/rules.mk

=== po/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

include $(TOPDIR)/.config/rules.mk

=== www/Makefile ===
SUBDIRS = shots plugins
TOPDIR = .
include $(TOPDIR)/Makefile.common


all: index.html docs.html

=== data/config/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

TEXT = default pager
all : $(TEXT)
CLEANLIST += $(TEXT)

install :
	$Qinstall -d $(DESTDIR)$(DATADIR)
	$Qinstall -m 644 $(TEXT) $(DESTDIR)$(DATADIR)

include $(TOPDIR)/.config/rules.mk

=== data/images/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

IMAGES = \
battery_0.png \
battery_1.png \
battery_2.png \
battery_3.png \
battery_4.png \
battery_5.png \
battery_6.png \
battery_7.png \
battery_8.png \
battery_charging_0.png \
battery_charging_1.png \
battery_charging_2.png \
battery_charging_3.png \
battery_charging_4.png \
battery_charging_5.png \
battery_charging_6.png \
battery_charging_7.png \
battery_charging_8.png \
battery_na.png \
dclock_glyphs.png            \
default.xpm                  \
gnome-session-halt.png       \
gnome-session-reboot.png     \
logo.png                     


install :
	$Qinstall -d $(DESTDIR)$(DATADIR)/images
	$Qinstall $(IMAGES) $(DESTDIR)$(DATADIR)/images

include $(TOPDIR)/.config/rules.mk

=== data/man/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

TEXT = fbpanel.1
all : $(TEXT)
CLEANLIST += $(TEXT)

install :
	$Qinstall -d $(DESTDIR)$(MANDIR)
	$Qinstall -m 644 $(TEXT) $(DESTDIR)$(MANDIR)

include $(TOPDIR)/.config/rules.mk

=== plugins/battery/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

battery_src = battery.c power_supply.c
battery_cflags = -DPLUGIN $(GTK2_CFLAGS)
battery_libs = $(GTK2_LIBS)
battery_type = lib

include $(TOPDIR)/.config/rules.mk

=== plugins/chart/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

chart_src = chart.c
chart_cflags = -DPLUGIN $(GTK2_CFLAGS) 
chart_libs = $(GTK2_LIBS) 
chart_type = lib 

include $(TOPDIR)/.config/rules.mk

=== plugins/cpu/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

cpu_src = cpu.c
cpu_cflags = -DPLUGIN $(GTK2_CFLAGS) 
cpu_libs = $(GTK2_LIBS) 
cpu_type = lib 

include $(TOPDIR)/.config/rules.mk

=== debian/changelog ===
fbpanel (7.0-4.2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:13:16 +0000

fbpanel (7.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing build dependency on libgdk-pixbuf-xlib-2.0-dev.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 11:06:00 +0200

fbpanel (7.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Ubuntu to fix FTBFS with gcc 10. (Closes: #957193)
  * Add patch from Ubuntu to build using python2. (Closes: #967133)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 15:45:54 +0200

fbpanel (7.0-4) unstable; urgency=medium

  * Fix creation template issues. Thanks Juri Grabowski! (Closes: #878186).
  * Fix typo at manpage local patch.
  * Bump up Standards-Version to 4.1.1 (no changes required).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 12 Oct 2017 08:54:27 -0300

fbpanel (7.0-3) unstable; urgency=high

  * Fix debian/copyright, include proper licenses and format.
    Thanks FrancescoPoli! (Closes: #846626).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 05 Jan 2017 20:22:14 -0300

fbpanel (7.0-2) unstable; urgency=medium

  * Restored terminal_sketch.svg and terminal_color.svg missed 
    transitioning to debhelper (Closes: #585795).
  * Refreshed local patches:
    - ftbfs-hurd.patch
    - manpage-enhance.patch
    - plugins_volume_oss+alsa_hint.patch

 -- Ulises Vitulli <dererk@debian.org>  Wed, 30 Nov 2016 10:29:14 -0300

fbpanel (7.0-1) unstable; urgency=medium

  * The long-time-expected 'we-are-back!' dupload.
  * New upstream release (Closes: #593725, #587477, #823817, #844595).
  * Transition to new dh helpers (Closes: #659751).
  * Updated package policy and build tools.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 09 May 2016 19:25:24 -0300

=== debian/control ===
Source: fbpanel
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxmu-dev, 
 libxpm-dev, python2, libgdk-pixbuf-xlib-2.0-dev
Standards-Version: 4.1.1
Homepage: https://github.com/aanatoly/fbpanel

Package: fbpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Suggests: menu, hicolor-icon-theme
Description: lightweight X11 desktop panel
 FBPanel is a spinoff of the fspanel (f***ing small panel) with more eye candy.
 It provides a taskbar (list of all opened windows), desktop switcher, 
 launchbar, clock, is EWMH/NETWM compliant, and has modest resource usage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+="-z bindnow"

%:
	dh $@ 

override_dh_auto_configure:
	./configure --prefix=/usr \
		--infodir=/usr/share/info \
		--libexecdir=/usr/lib/fbpanel/fbpanel \
		--mandir=/usr/share/man/man1 \
		--sysconfdir=/etc/fbpanel CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

override_dh_auto_clean:
	make -j1 distclean || true

override_dh_fixperms:
	chmod a-x $(CURDIR)/debian/fbpanel/usr/share/fbpanel/images/default.xpm
	dh_fixperms

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	uscan --force-download --rename --repack\
	--download-version=$(DEB_UPSTREAM_VERSION) --destdir=.

override_dh_install:
	dh_install debian/terminal_color.svg usr/share/fbpanel/images 
	dh_install debian/terminal_sketch.svg usr/share/fbpanel/images
	dh_install

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/fbpanel/fbpanel-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
